JSI Tip 2813. Windows 2000 reports finding an earlier version of Internet Explorer components?

If you installed Internet Explorer 5.5 on W9x, and then try to upgrade to Windows 2000, the Readiness Analyzer issues a warning similar to the following:

This program runs on Windows xx. However, because of new features in the operating system, additional configuration may be necessary for your programs to run correctly. For more information click Details. To continue without making changes, click Run Programs.

If you press Details:

Upgrade to Windows 2000
Windows 2000 contains an earlier version of Internet Explorer components. Please uninstall Internet Explorer 5.5 before proceeding with the upgrade. Once Windows 2000 is installed, you can update the Internet Explorer components by installing Internet Explorer 5.5. again.

If you are upgrading from W9x, and have IE 5.5 installed, the upgrade would replace most, but not all, of the IE 5.5 components. This will definetly lead to system instability.

The proper installation sequence is:

1. Uninstall IE 5.5.

2. Upgrade to Windows 2000.

3. Install IE 5.5.

Hide comments


  • Allowed HTML tags: <em> <strong> <blockquote> <br> <p>

Plain text

  • No HTML tags allowed.
  • Web page addresses and e-mail addresses turn into links automatically.
  • Lines and paragraphs break automatically.